package ClubDB;

use strict;
use base 'Apache::MVC';

ClubDB->setup( "dbi:mysql:CLUB;mysql_read_default_file=/usr/local/apache/conf/ClubDB.conf" );

ClubDB->config->{uri_base} = "http://localhost/Club/";
ClubDB->config->{display_tables} = [ qw[player squad condition] ];

package ClubDB::Squad;

sub display_columns{ "name" };
ClubDB::Player->untaint_columns( printable => [ "name" ] );

package ClubDB::Condition;

sub display_columns{ "name" };
ClubDB::Condition->untaint_columns( printable => [ "name" ] );

package ClubDB::Player;

ClubDB::Player->has_a( squad              => "ClubDB::Squad" );
ClubDB::Player->has_a( medical_condition  => "ClubDB::Condition" );
ClubDB::Player->untaint_columns(
    integer	=> [ "squad", "medical_condition" ],
    printable	=> [ "name", "address", "contact_tel_no" ],
    date	=> [ "date_of_birth" ]
);

sub display_columns{ qw( name address date_of_birth contact_tel_no
                         squad medical_condition ) };

1;
